#!/bin/sh
#
# Copyright (c) 2020 Michael Forney
#

test_description='Test submodule summary with commit-graph

This test verifies that the submodule log works when using a
commit-graph.
'

. ./test-lib.sh

test_expect_success 'submodule log works with commit-graph' '
	mkdir sub &&
	(
		cd sub &&
		git init &&
		for i in $(seq 1 200); do
			echo $i >f &&
			git add f &&
			git commit -m "submodule commit $i"
		done
	) &&
	git add sub &&
	git commit -m "super commit 1" &&
	(
		cd sub &&
		echo final >f &&
		git add f &&
		git commit -m "final submodule commit" &&
		git repack -A &&
		git gc
	) &&
	git add sub &&
	git commit -m "super commit 2" &&
	git repack -A &&
	git gc &&
	git show --submodule=log
'

test_done
